mgr - Bug #37658

AttributeError: 'Module' object has no attribute 'get_localized_config'

12/13/2018 10:51 PM - Neha Ojha

Status: Resolved % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: prometheus module

Target version:

Source: Affected Versions:

Tags: ceph-qa-suite: rados
Backport: Pull request ID: 25488
Regression: No Crash signature (v1):
Severity: 3 - minor Crash signature (v2):
Reviewed:

Description

2018-12-13T17:50:48.951 INFO:
3918df700 1 -- 172.21.15.61:
ix": "mgr self-test module",
con 0

2018-12-13T17:50:48.960 INFO:

0 -1 Remote method threw exception:
tasks.ceph.mgr.x.

2018-12-13T17:50:48.961 INFO:
eus/module.py", line 807, in
2018-12-13T17:50:48.961 INFO:
2018-12-13T17:50:48.961 INFO:
eus/module.py", line 761, in
2018-12-13T17:50:48.961 INFO:
2018-12-13T17:50:48.961 INFO:
eus/module.py", line 552, in
2018-12-13T17:50:48.961 INFO:
ig('rbd_stats_pools',

no attribute

0 -1 mgr.server reply reply

Traceback
2018-12-13T17:50:48.962 INFO:
eus/module.py", line 807, in
2018-12-13T17:50:48.962 INFO:
2018-12-13T17:50:48.962 INFO:
eus/module.py", line 761, in
2018-12-13T17:50:48.962 INFO:
2018-12-13T17:50:48.962 INFO:
eus/module.py", line 552, in
2018-12-13T17:50:48.963 INFO:
ig('rbd_stats_pools',

no attribute

'get_localized_
2018-12-13T17:50:48.962 INFO:tasks.ceph.mgr.
2018-12-13T17:50:48.962 INFO:tasks.ceph.mgr.
(1) Operation not
(most recent call last):
tasks.ceph.mgr.x.

teuthology.orchestra.

46368/4100138231

"target":

tasks.ceph.mgr.x.
Traceback

self_test
tasks.ceph.
tasks.ceph.
collect
tasks.ceph.
tasks.ceph.

mgr.
mgr.

mgr.
mgr.

get_rbd_stats

tasks.ceph.

') .split ()
2018-12-13T17:50:48.962 INFO:tasks.ceph.mgr.

config'

self_test
tasks.ceph.
tasks.ceph.
collect
tasks.ceph.
tasks.ceph.

mgr.

mgr.
mgr.

mgr.
mgr.

get_rbd_stats

tasks.ceph.

') .split ()
2018-12-13T17:50:48.963 INFO:tasks.ceph.mgr.
'get_localized_config'

mgr.

["mgr" ,

X.

X

Illl],

smithiO61.

"module":

run.smithi061.stderr:2018-12-13 17:50:48.955 7fe
——> 172.21.15.61:6800/53470 —— command (tid O:

{"pref

"prometheus"}) vl —— 0x7£e364002£00

stderr:2018-12-13 17:50:48.963 7£3cdb75970

(most recent call last):

smithiO61.

.smithi0O61.
.smithiO61.

.smithi061.
.smithi0O61.

.smithi0O61.

.smithi0O61.

smithiO61.
.smithiO61l.

permitted

smithiO61.

.smithi0O61.
.smithiO61.

.smithi061
.smithi0O61.

.smithi0O61.

.smithi0O61.

stderr: File "/usr/lib64/ceph/mgr/prometh
stderr: self.collect ()

stderr: File "/usr/lib64/ceph/mgr/prometh
stderr: self.get_rbd_stats();

stderr: File "/usr/lib64/ceph/mgr/prometh
stderr: pools = self.get_localized_conf
stderr:AttributeError: 'Module' object has
stderr:

stderr:2018-12-13 17:50:48.963 7£3cdb75970

Test failed: Remote method threw exception

rados/mgr/{clusters/{2-node-mgr.yaml openstack.yaml} debug/mgr.yaml objectstore/bluestore-bitmap.yaml
supported-random-distro$/{rhel_latest.yaml} tasks/module_selftest.yaml
stderr: File "/usr/lib64/ceph/mgr/prometh
stderr: self.collect ()

stderr: File "/usr/lib64/ceph/mgr/prometh
.stderr: self.get_rbd_stats();

stderr: File "/usr/lib64/ceph/mgr/prometh
stderr: pools = self.get_localized_conf
stderr:AttributeError: 'Module' object has
/a/nojha-2018-12-13_15:13:17-rados-master-distro-basic-smithi/3358507/

History

#1 - 12/17/2018 01:42 PM - Lenz Grimmer

- Category set to prometheus module

#2 - 12/17/2018 02:29 PM - Sebastian Wagner

Does recompiling Ceph help?

#3 - 12/17/2018 02:35 PM - Mykola Golub
- Status changed from New to Resolved

- Pull request ID set to 25488

The problem was that initial code was merged simultaneously with these methods rename in another PR. It was fixed in this PR
https://github.com/ceph/ceph/pull/25488, which is already merged.

#4 - 12/17/2018 02:38 PM - Jan Fajerski
Also https://github.com/ceph/ceph/pull/25565 would have fixed this.
